gtk-0.12.0: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Graphics.UI.Gtk.Special.Ruler

Contents

- Detail
- Class Hierarchy
- Types
- Enums
- Attributes

Description

Base class for horizontal or vertical rulers

Synopsis

- data Ruler
- class WidgetClass o => RulerClass o
- castToRuler :: GObjectClass obj => obj -> Ruler
- toRuler :: RulerClass o => o -> Ruler
- data MetricType
  - = Pixels
  - | Inches
  - | Centimeters
- rulerRange :: RulerClass self => Attr self (Double, Double, Double, Double)
- rulerLower :: RulerClass self => Attr self Double
- rulerUpper :: RulerClass self => Attr self Double
- rulerPosition :: RulerClass self => Attr self Double
- rulerMaxSize :: RulerClass self => Attr self Double
- rulerMetric :: RulerClass self => Attr self MetricType

# Detail

The `Ruler` widget is a base class for horizontal and vertical rulers. Rulers are used to show the mouse pointer's location in a window. The ruler can either be horizontal or vertical on the window. Within the ruler a small triangle indicates the location of the mouse relative to the horizontal or vertical ruler. See `HRuler` to learn how to create a new horizontal ruler. See `VRuler` to learn how to create a new vertical ruler.

# Class Hierarchy

     | GObject
     | +----Object
     | +----Widget
     | +----Ruler
     | +----HRuler
     | +----VRuler

# Types

data Ruler

Instances

Eq Ruler |
Ord Ruler |
GObjectClass Ruler |
RulerClass Ruler |
WidgetClass Ruler |
ObjectClass Ruler |

class WidgetClass o => RulerClass o

Instances

RulerClass VRuler |
RulerClass HRuler |
RulerClass Ruler |

castToRuler :: GObjectClass obj => obj -> Ruler

toRuler :: RulerClass o => o -> Ruler

# Enums

data MetricType

Units of measure

Constructors

Pixels |
Inches |
Centimeters |

Instances

Enum MetricType |
Eq MetricType |
Show MetricType |

# Attributes

rulerRange :: RulerClass self => Attr self (Double, Double, Double, Double)

Range of ruler

rulerLower :: RulerClass self => Attr self Double

Lower limit of ruler.

Default value: 0

rulerUpper :: RulerClass self => Attr self Double

Upper limit of ruler.

Default value: 0

rulerPosition :: RulerClass self => Attr self Double

Position of mark on the ruler.

Default value: 0

rulerMaxSize :: RulerClass self => Attr self Double

Maximum size of the ruler.

Default value: 0

rulerMetric :: RulerClass self => Attr self MetricType

The metric used for the ruler.

Default value: ''Pixels''

Since 2.8